## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csDocumentNodeReadOnly Class Reference

Partial iDocumentNode implementation with commonly duplicated logic and dummy implementations for manipulation methods. More...

`#include <csutil/documentcommon.h>`

Inheritance diagram for csDocumentNodeReadOnly:

[legend]
List of all members.

## Public Member Functions

| csDocumentNodeReadOnly ()
virtual csRef< iDocumentNode > | CreateNodeBefore (csDocumentNodeType, iDocumentNode *)
| Create a new node of the given type before the given node.
virtual void | RemoveAttribute (const csRef< iDocumentAttribute > &)
| Remove an attribute.
virtual void | RemoveAttributes ()
| Remove all attributes.
virtual void | RemoveNode (const csRef< iDocumentNode > &)
| Remove a child.
virtual void | RemoveNodes ()
| Remove all children.
virtual void | RemoveNodes (csRef< iDocumentNodeIterator >)
| Remove all children returned by iterator.
virtual void | SetAttribute (const char *, const char *)
| Change or add an attribute.
virtual void | SetAttributeAsFloat (const char *, float)
| Change or add an attribute to a string representation of a float.
virtual void | SetAttributeAsInt (const char *, int)
| Converts 'value' to a string and calls SetAttribute() with it.
virtual void | SetValue (const char *)
| Dummy implementation for nodes that cannot be changed.
virtual void | SetValueAsFloat (float)
| Set value to the string representation of a float.
virtual void | SetValueAsInt (int)
| Converts 'value' to a string and calls SetValue() with it.

## Detailed Description

Partial iDocumentNode implementation with commonly duplicated logic and dummy implementations for manipulation methods.

Definition at line 154 of file documentcommon.h.

## Member Function Documentation

virtual csRef<iDocumentNode> csDocumentNodeReadOnly::CreateNodeBefore | ( | csDocumentNodeType | ,
|  | iDocumentNode * |
| ) | `[inline, virtual]`

| Create a new node of the given type before the given node. If the given node is 0 then it will be added at the end. Returns the new node or 0 if the given type is not valid (CS_NODE_DOCUMENT is not allowed here for example). Implements iDocumentNode. Definition at line 171 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::RemoveAttribute | ( | const csRef< iDocumentAttribute > & |  | ) | `[inline, virtual]`

| Remove an attribute. Implements iDocumentNode. Definition at line 175 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::RemoveAttributes | ( |  | ) | `[inline, virtual]`

| Remove all attributes. Implements iDocumentNode. Definition at line 176 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::RemoveNode | ( | const csRef< iDocumentNode > & |  | ) | `[inline, virtual]`

| Remove a child. Implements iDocumentNode. Definition at line 167 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::RemoveNodes | ( |  | ) | `[inline, virtual]`

| Remove all children. Implements iDocumentNode. Definition at line 169 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::RemoveNodes | ( | csRef< iDocumentNodeIterator > |  | ) | `[inline, virtual]`

| Remove all children returned by iterator. Implements iDocumentNode. Definition at line 168 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::SetAttribute | ( | const char * | ,
|  | const char * |
| ) | `[inline, virtual]`

| Change or add an attribute. Implements iDocumentNode. Definition at line 178 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::SetAttributeAsFloat | ( | const char * | ,
|  | float |
| ) | `[inline, virtual]`

| Change or add an attribute to a string representation of a float. Reimplemented from csDocumentNodeCommon. Definition at line 180 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::SetAttributeAsInt | ( | const char * | ,
|  | int |
| ) | `[inline, virtual]`

| Converts 'value' to a string and calls SetAttribute() with it. Reimplemented from csDocumentNodeCommon. Definition at line 179 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::SetValue | ( | const char * |  | ) | `[inline, virtual]`

| Dummy implementation for nodes that cannot be changed. Implements iDocumentNode. Definition at line 163 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::SetValueAsFloat | ( | float |  | ) | `[inline, virtual]`

| Set value to the string representation of a float. Reimplemented from csDocumentNodeCommon. Definition at line 165 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::SetValueAsInt | ( | int |  | ) | `[inline, virtual]`

| Converts 'value' to a string and calls SetValue() with it. Reimplemented from csDocumentNodeCommon. Definition at line 164 of file documentcommon.h.

The documentation for this class was generated from the following file:

- csutil/documentcommon.h